Bug 1276883 - libvirt migration FC22/23->FC21 fails begause of BZ1265111
Summary: libvirt migration FC22/23->FC21 fails begause of BZ1265111
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libvirt
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-31 21:29 UTC by Markus Stockhausen
Modified: 2016-01-08 03:26 UTC (History)
10 users (show)

Fixed In Version: libvirt-1.2.13.2-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-01-08 03:26:02 UTC
Type: Bug


Attachments (Terms of Use)

Description Markus Stockhausen 2015-10-31 21:29:39 UTC
Description of problem:

BZ 1265111 describes a libvirt XML modification that fails to migrate VMs from libvirt >=1.2.13 to libvirt<1.2.13. 


Version-Release number of selected component (if applicable):

FC21 - libvirt 1.2.9
FC22 - libvirt 1.2.13
FC23 - libvirt 1.2.18

How reproducible:

100%

Steps to Reproduce:
1. Start VM on FC22/FC23 host
2. Move VM to FC21 host

Actual results:

migration fails

Expected results:

migration succeeds

Additional info:

According to BZ I backported patch http://libvirt.org/git/?p=libvirt.git;a=commit;h=c0806dc30bda562810b0d686e33c903862e3c8f1 to FC23

Afterwards migration succeeds. Could you backport that patch to FC23 (and if possible to FC22).

Comment 1 Cole Robinson 2015-11-01 00:05:29 UTC
Thanks for the report and identifying the commit! I'll pull it into the next f22+ builds

Comment 2 Fedora Update System 2015-12-24 00:50:34 UTC
libvirt-1.2.13.2-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c9678da8c

Comment 3 Fedora Update System 2015-12-30 20:56:30 UTC
libvirt-1.2.13.2-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c9678da8c

Comment 4 Fedora Update System 2016-01-08 03:24:54 UTC
libvirt-1.2.13.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.